//
// Created by wits on 2022/5/23.
//

import Foundation
import AudioToolbox


///振动

public class Vibrate {

    private static var soundID: UInt32?
    private static var timer: Timer?

    public static func startVibrate(pattern: [Double]?) {
        if (pattern == nil) {
             soundID = SystemSoundID(kSystemSoundID_Vibrate)
        } else {
            soundID = SystemSoundID(kSystemSoundID_Vibrate)
            timer = Timer.scheduledTimer(timeInterval: (pattern![0] == nil || pattern![0] == nil || pattern![0] == 0) ? 0.3 : pattern![0],
                    target: self, selector: Selector("stopVibrate"),
                    userInfo: nil, repeats: true)
            timer!.fire()

        }
        AudioServicesPlaySystemSound(soundID!)
    }


    public static func stopVibrate() {
        if (soundID != nil) {
            AudioServicesDisposeSystemSoundID(soundID!)
        }
        if (timer != nil) {
            timer!.invalidate()
            timer = nil;
        }

    }


}
